// TESTS: Labelling Containers, hidden fields, and fields with links

const model = {
	aSubGroup: {
		modelOnlyField: 55
	}
};

const meta = {
	aSubGroup: {
		label: 'This is a relabelled subgroup',
		meta: {
			aField: { type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
			anotherSubGroup: {
				label: 'Another label override',
				meta: {
					isWorking: { type: 'radio', 'label': 'Does it work yet?' },
					hiddenField: { type: 'hidden', value: 'BOO!' },
					fieldWithLink: { link: { route: 'simple' } },
					selectWithLink: { type: 'select', options: ['1', '2', '3', '4', '5'], link: { route: 'simple' } },
				}
			}
		}
	}
};

export { model, meta };
