import { Component, Input, OnInit } from '@angular/core';

@Component({
	selector: 'app-heading',
	templateUrl: './heading.component.html',
	styleUrls: ['./heading.component.scss']
})
export class HeadingComponent implements OnInit {

	@Input()
	meta: StringMap;

	text: string;
	level: number;

	ngOnInit() {
		this.text = this.meta.text;
		this.level = this.meta.level || 2;
	}

}
